bug-grep
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[PATCH] tests: fix on systems with broken sh


From: Paolo Bonzini
Subject: [PATCH] tests: fix on systems with broken sh
Date: Wed, 31 Mar 2010 11:01:32 +0200

This should fix the failure.

* tests/Makefile.am (TESTS_ENVIRONMENT): Adjust coreutils remnants.
* tests/bre.sh: Invoke script with $SHELL if defined.
* tests/ere.sh: Likewise.
* tests/spencer1-locale: Likewise.
* tests/spencer1.sh: Likewise.
---
 tests/Makefile.am     |    3 +--
 tests/bre.sh          |    2 +-
 tests/ere.sh          |    2 +-
 tests/spencer1-locale |    2 +-
 tests/spencer1.sh     |    2 +-
 5 files changed, 5 insertions(+), 6 deletions(-)

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 242dd6b..17c675d 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -116,8 +116,7 @@ TESTS_ENVIRONMENT =                         \
   PACKAGE_BUGREPORT='$(PACKAGE_BUGREPORT)'     \
   PACKAGE_VERSION=$(PACKAGE_VERSION)           \
   PERL='$(PERL)'                               \
-  PREFERABLY_POSIX_SHELL='$(PREFERABLY_POSIX_SHELL)' \
-  REPLACE_GETCWD=$(REPLACE_GETCWD)             \
+  SHELL='$(SHELL)'                             \
   PATH='$(abs_top_builddir)/src$(PATH_SEPARATOR)'"$$PATH" \
   ; shell_or_perl_
 
diff --git a/tests/bre.sh b/tests/bre.sh
index 0a1153b..ee5ca93 100755
--- a/tests/bre.sh
+++ b/tests/bre.sh
@@ -14,5 +14,5 @@ failures=0
 
 ${AWK-awk} -f $srcdir/bre.awk $srcdir/bre.tests > bre.script
 
-sh bre.script && exit $failures
+${SHELL-sh} bre.script && exit $failures
 exit 1
diff --git a/tests/ere.sh b/tests/ere.sh
index 2ebdc63..b615bff 100755
--- a/tests/ere.sh
+++ b/tests/ere.sh
@@ -15,5 +15,5 @@ failures=0
 
 ${AWK-awk} -f $srcdir/ere.awk $srcdir/ere.tests > ere.script
 
-sh ere.script && exit $failures
+${SHELL-sh} ere.script && exit $failures
 exit 1
diff --git a/tests/spencer1-locale b/tests/spencer1-locale
index fa9909d..3efe7d4 100755
--- a/tests/spencer1-locale
+++ b/tests/spencer1-locale
@@ -19,6 +19,6 @@ ${AWK-awk} -v extra_locale=$LOCALE_FR_UTF8 \
     -f "$abs_srcdir/spencer1-locale.awk" "$abs_srcdir/spencer1.tests" \
   > spencer1-locale.script || fail=1
 
-sh spencer1-locale.script || fail=1
+${SHELL-sh} spencer1-locale.script || fail=1
 
 Exit $fail
diff --git a/tests/spencer1.sh b/tests/spencer1.sh
index 0bd6bd1..f86909e 100755
--- a/tests/spencer1.sh
+++ b/tests/spencer1.sh
@@ -15,5 +15,5 @@ failures=0
 
 ${AWK-awk} -f $srcdir/spencer1.awk $srcdir/spencer1.tests > spencer1.script
 
-sh spencer1.script && exit $failures
+${SHELL-sh} spencer1.script && exit $failures
 exit 1
-- 
1.6.6.1





reply via email to

[Prev in Thread] Current Thread [Next in Thread]